# Snapcontrol


## Short description

Drive Snapshot backup controller.  
A backup wrapper program for Windows boxes.

Features:
- Starts a backup via Windows Scheduler using Drive Snapshot by Tom Ehlert
- Can ask the user for permission to start a backup
- Can do a shutdown after backup
- Different backup targets (local DRIVE, SMB, FTP)
- Encryption support (via Drive Snapshot)
- Verifies the backup (optional)
- New full backup every month
- Daily differential backup
- Writes detailed logfile and history log
- Sends reports via email (using cmail.exe)


## Requirements

You will need the tool [Drive Snapshot](http://www.drivesnapshot.de/en/order.htm) by Tom Ehlert Software.

Download here: [snapshot.exe](http://www.drivesnapshot.de/download/snapshot.exe)  
64-bit version: [snapshot64.exe](http://www.drivesnapshot.de/download/snapshot64.exe)  

You can test Drive snapshot for a limited time. Please support this great tool and consider to buy a license.

You will also need [CMail](https://www.inveigle.net/cmail) for sending emails.  
Get it from here: https://www.inveigle.net/cmail/download


## Installation

- Download the latest release and unzip the files (.exe and .ini file) to some path of your choice
- Open "snapcontrol.ini" with the editor of your choice and set the following variables:
  - BinPath
  - TargetPath
  - TargetUser
  - TargetPassword
  - Disks2Dump
- Copy the Drive Snapshot binary to "BinPath"
- Optional step: set "InstallTo" to your desired location
- Open a dos box and execute:

```dos
snapcontrol.exe /I
```

Snapcontrol will find "snapcontrol.ini" automagically in the path where snapcontrol.exe was *installed*!

That's all. Snapcontrol will now be called by the Windows scheduler. See "snapcontrol.ini" for detailed comments on the features.


## USAGE

```dos
C:\>snapcontrol.exe /?
usage: snapcontrol.exe [ /S | /I | /V> | /D | /? ]
    /S = silent mode (no user interaction!)
    /I = install/update scheduler job
    /V = show version
    /D = dry run
    /? = help
```

*HINT:* Everytime you change the values in "BackupSched" or "BackupStart" you will have to call snapcontrol.exe with the /I switch.

